Skip to main content
POST
/
wallet
/
api
/
asset
/
transfer
Transfer between assets (USDT/USDC)
curl --request POST \
  --url https://access-wallet.test.ftrader.pro/wallet/api/asset/transfer
{
  "code": 123,
  "msg": "<string>",
  "data": {
    "agencyCode": "<string>",
    "amount": 123,
    "appId": "<string>",
    "currency": "<string>",
    "fromAppUserEmail": "<string>",
    "fromAppUserId": "<string>",
    "postedAt": "2023-11-07T05:31:56Z",
    "status": "CREATED",
    "toAppUserId": "<string>",
    "transactionId": "<string>"
  }
}

Query Parameters

agencyCode
string
required

Agency Code

amount
number
required

Transfer Amount (10 =< amount <= 100000)

appId
string
required

App ID

fromAppUserEmail
string
required

Sender App User Email

fromAppUserId
string
required

Sender App User ID

fromAssetId
integer<int64>
required

Sender Asset ID

sign
string
required

Sign

timestamp
integer<int64>
required

Current Millisecond Timestamp (max 1 minute)

toAppUserId
string
required

Receiver App User ID

transRemark
string
required

Transaction Remark

Response

200 - application/json

OK

code
integer<int32>
required
msg
string
required
data
ApiAssetTransferDTO · object